#
# spec file for package python-python-social-auth
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-python-social-auth
Version:        0.2.21
Release:        1.3
Summary:        Python Social Auth
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://psa.matiasaguirre.net/
Source:         https://files.pythonhosted.org/packages/source/p/python-social-auth/python-social-auth-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-requests
BuildRequires:  python3-rednose
BuildRequires:  python3-colorama
BuildRequires:  python3-httpretty
BuildRequires:  python3-PyJWT
BuildRequires:  python3-python3-openid
Requires:       python3-PyJWT
Requires:       python3-oauthlib
Requires:       python3-python3-openid
Requires:       python3-requests
Requires:       python3-requests-oauthlib
Requires:       python3-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Python Social Auth is an easy-to-setup social authentication/registration
mechanism with support for several frameworks and auth providers.

Crafted using base code from django-social-auth, it implements a common interface
to define new authentication providers from third parties, and to bring support
for more frameworks and ORMs.

%prep
%setup -q -n python-social-auth-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
# tests connect to the internet, which is a no-go
#nosetests --where=social/tests

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{python3_sitelib}/*

%changelog
* Wed Aug 31 2016 arun@gmx.de
- update to version 0.2.21:
  * Django Migrations Broken #991
  * Fixed Django Migrations #993 (clintonb)
  * Rewrited pipeline.rst #992 (an0o0nym)
  * fix typo "Piepeline" -> "Pipeline" #990 (das-g)
  * Fixed Django < 1.8 broken compatibility #986 (seroy)
- changes from version 0.2.20:
  * On production /complete/facebook just times out with a Gateway
    Timeout #972
  * Support namespace via : #971
  * Django Association model missing index #967
  * VK auth using access token failed. Unable to retrieve email
    address. #943
  * ImportError: No module named django_app #935
  * ImportError: No module named 'example.local_settings' with
    pyramid_example #919
  * "'User' object is not callable." issue. #895
  * Support for the peewee ORM in storage. #877
  * Meetup.com OAuth2 #677
  * fix comment word #983 (alexpantyukhin)
  * Added exception handling for user creation race condition in
    Django #975 (carsongee)
  * Update facebook api version to v2.7 #973 (c-bata)
  * Added index to Django Association model #969 (clintonb)
  * Corrected migration dependency #968 (clintonb)
  * Removed dep method get_all_field_names method from Django 1.8+
    [#966] (zsiddique)
  * Multiple hosts in redirect sanitaion. #965 (moorchegue)
  * "else" scenario in Pyramid html func was causing an exception
    every time. #964 (moorchegue)
  * Allow POST requests for auth method so OpenID forms could use it
    that way #963 (moorchegue)
  * Add redirect_uri to yammer docs #960 (m3brown)
  * Fix for flask/SQLAlchemy: commit on save (but not when using
    Pyramid) #957 (aoghina)
  * Switch from flask.ext.login to flask_login #951 (EdwardBetts)
  * username max_length can be None #950 (EdwardBetts)
  * Upgrade facebook backend api to latest version (v2.6) #941
    (stphivos)
  * Line support added #937 (polyn0m)
  * django migration should respect SOCIAL_AUTH_USER_MODEL setting
    [#936] (max-arnold)
  * fix first and last name recovery #934 (PhilipGarnero)
  * fixes empty uid in coursera backend #933 (CrowbarKZ)
  * add support peewee for flask #877 #932 (alexpantyukhin)
  * Fixed typo #928 (arogachev)
  * Fix mixed-content error of loading http over https scheme after
    disconnection from social account #924 (andela-kerinoso)
  * Add back-end for Edmodo #921 (browniebroke)
  * Add Django AppConfig Label of "social_auth" for migrations #916
    (cclay)
  * Update vk.rst #907 (slushkovsky)
  * VULNERABILITY - BaseStrategy.validate_email() doesn't actually
    check email address #900 (scottp-dpaw)
  * Removed broken link in use cases docs fixing #860 #886
    (RobinStephenson)
  * Fixes bug where partial pipelines from abandoned login attempts
    will be resumed … #882 (SeanHayes)
  * Revise battlenet endpoint to return account ID and battletag #799
    (ckcollab)
  * Fixed 401 client redirect error for reddit backend #772 (opaqe)
* Mon Jun 13 2016 toddrme2178@gmail.com
- Remove unneeded test dependencies.
* Sat May 14 2016 arun@gmx.de
- update to version 0.2.19:
  * Closed issues:
    + [Flask] Not Logged in After Redirect #913
    + Django: type(social_user.extra_data) == unicode #898
    + Email is empty in login with Facebook #889
  * Merged pull requests:
    + Updates to OpenIdConnectAuth #911 (clintonb)
    + Corrected default value of JSONField #908 (clintonb)
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Apr 23 2016 arun@gmx.de
- update to version 0.2.18:
  * no changes to 0.2.17
- changes from version 0.2.17:
  * django 1.8+ compat to ensure to_python is always called when
    accessing result from db.. #897 (sbussetti)
- changes from version 0.2.16:
  * docs update
- changes from version 0.2.15:
  * Warning with dependency six #885
  * Password Reset Emails don't come if Authenticated via Python
    Social Auth #881
  * I followed the documentation, but it didn't work for me. Would you
    please let me know where my PIPELINE is wrong? #867
  * Is this AttributeError caused by facebook settings or
    python-social-auth? #865
  * Google: Backend not found #862
  * Django 1.9.2 ImportError: No module named 'social.apps.django_app'
    [#861]
  * Microsoft live oauth sign up/sign in issue #837
  * Redirect url always ends with /#_=_ #833
  * Google Sign in problem #826
  * Fitbit oauth2 #733
  * Add a backend for Classlink. #890 (antinescience)
  * Pass response to AuthCancel exception #883 (st4lk)
  * modifed wrong key names in pocket.py #878 (EunJung-Seo)
  * Fix typos #869 (Chronial)
  * Do not instantiate Logger directly #864 (browniebroke)
  * Fix xgettext warning due to unknown encoding #856 (federicobond)
  * Update base.py #852 (hellvix)
  * Fix misspelled backend name #847 (victorgutemberg)
  * Add some tests for Spotify backend + add a backend for Deezer
    music service #845 (khamaileon)
  * [Fix] update odnoklasniki docs to new domain ok #836 (vanadium23)
  * add github enterprise docs on how to specify the API URL #834
    (iserko)
  * Fix ImportError: cannot import name ‘urlencode’ in Python3 #828
    (mishbahr)
  * Fix wrong evaluation of boolean kwargs #824 (falknes)
  * SAML: raise AuthMissingParameter if idp param missing #821
    (omarkhan)
  * added support for ArcGIS OAuth2 #820 (aspcanada)
  * BaseOAuth2: Store access token in response if it does not exist
    [#816] (kchange)
  * Minor backend fixes #815 (mback2k)
  * Fix Django 1.10 Deprecation Warning "SubfieldBase has been
    deprecated." #813 (contracode)
  * Fix typo: "attacht he" -> "attach the" #808 (smholloway)
  * Azure AD updates #807 (vinhub)
  * Remove unused response arg from user_data method of yandex backend
    [#784] (SrgyPetrov)
  * Support all kind of data type (like uuid) of User.id on Pyramid
    [#769] (cjltsod)
* Sun Jan 31 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.2.14:
  * Error "imported before its application was loaded" #809
  * Django 1.9.0 Deprecation Warning #804
  * Migration error on update 0.2.6 -> 0.2.7 #761
  * Backends: user_data vs extra_data? #759
  * example/django_example twitter error #742
  * Object of type map has no length #633
  * Fix Django 1.10 deprecation warnings #806 (yprez)
  * Changed instagram backend to new authorization routes #797
    (clybob)
  * Update settings.rst #793 (skolsuper)
  * Add naver.com OAuth2 backend #789 (se0kjun)
  * Formatter fixes for SAML to support Py2.6 #783 (matburt)
  * Fix typo #768 (mprunell)
  * Fixes a few grammar issues in the docs #764 (kevinharvey)
  * use qq openid as username #763 (lneoe)
  * Fix a few typos in backends #760 (pzrq)
  * Fix vk backend #757 (truetug)
  * Fix odnoklassniki backend #756 (truetug)
  * Store all tokens when tokens are refreshed #753 (mvschaik)
  * Python 3 support for facebook-app backend #749 (jhmaddox)
  * Save extra_data on login #748 (mvschaik)
  * Update URLs to match new site and remove OAuth comment. #744
    (lukos)
  * added AuthUnreachableProvider exception to documentation #729
    (Qlio)
  * Add REDIRECT_STATE = False #725 (webjunkie)
  * Tuple in pipeline's documentation should be ended with coma #712
    (JerzySpendel)
  * Fix redirect_uri issue with tornado reversed url #674 (mvschaik)
- changes from version 0.2.13:
  * Signup by OAuth access_token example question #737
  * Connecting to a "django oAuth toolkit" based oAuth provider #727
  * Exception Value: 'module' object has no attribute 'FacebookOauth2'
    [#722]
  * Google OAuth2 - stopped working, now getting JSONDecodeError for
    token response #718
  * Is there a conflict with django-debug-toolbar? #714
  * FORM_HTML and Legacy Auth #705
  * Authentication process canceled with Spotify auth (invalid_client)
    [#703]
  * [Question] How to tell if a user was created or existing #701
  * Make an abstract verstion of django's UserSocialAuth's model so it
    can be extended #698
  * Problem porting from django-social-auth to python-social-auth #682
  * django_app/default: Migration 0003_alter_email_max_length wrong
    for Django 1.7 #622
  * VK API workflow fix if error happens on vk-side #736 (alrusdi)
  * Added justgiving.com OAuth2 backend #728 (mwillmott)
  * Fix typo in pipeline doc #720 (Andygmb)
  * Update facebook.rst #717 (zergu)
  * Support Pyramid Authentication Policies #710 (cjltsod)
  * Fix typo #709 (ajoyoommen)
  * Fix 'QueryDict' object has no attribute 'dicts' #707 (webjunkie)
  * Add support for Uber OAuth2 - Uber API v1 #706 (henocdz)
  * Fix #703 invalid_client error with Spotify backend #704
    (khamaileon)
  * additional "how it fits together" documentation #700 (ccurvey)
  * Make an abstract verstion of django's UserSocialAuth's model so it
    can be extended (fixes #698) #699 (troygrosfield)
  * flask_me_example fix #696 (jameslittle)
  * removed @app.teardown_request since it is called before
    @app.teardown… #690 (asimcan)
  * Remove debug printing from BaseOAuth2 backend #689 (gcheshkov)
  * support for goclio.eu service #686 (jneves)
  * text -> content solves "is not JSON serializable" #685
    (JordanReiter)
  * Close #622 by explicitly setting email length (compatibility with
    Django 1.7) #684 (frankier)
  * Add orbi backend #683 (jeyraof)
  * Fix Clef backend #681 (jessepollak)
  * Meetup.com OAuth2 provider #678 (bluszcz)
  * echosign OAuth2 backend #676 (paxapy)
- changes from version 0.2.12:
  * Pipeline user\_details not changing empty and protected user
    fields #671
  * Instagram: Missing needed parameter state #643
  * Could not find required distribution python-social-auth #638
  * Installing python-social-auth as a dependecie for mailman3 with
    buildout fails #623
  * Improve docs on SOCIAL_AUTH_NEW_USER_REDIRECT_URL #673 (eshellman)
  * PR fix user\_details pipeline issue #672 (maxsocl)
  * Fix cookie handling for tornado #667 (mvschaik)
  * added support for Github Enterprise #662 (iserko)
  * Withings Backend #658 (tomasgarzon)
  * Use official python-saml 2.1.3 release, remove now-unsupported
    setting #657 (bradenmacdonald)
  * Fix wrong placement of changelog commits in 76a27b2 #656
    (bradenmacdonald)
  * Python3 fixes for Tornado #649 (mvschaik)
  * Keep the egg-info directory in the sdist #635 (abompard)
- changes from version 0.2.11:
  * Added an OAuth2 backend for Bitbucket #653 (mark-adams)
  * Updated Bitbucket backends to use newer v2.0 APIs #652
    (mark-adams)
  * SAML support #616 (bradenmacdonald)
  0.2.10
  * "UserSocialAuth.user" must be a "MyUser" instance #631
  * ImportError: No module named packages.urllib3.poolmanager #617
  * AuthStateMissing: Session value state missing on web.py example
    integration #611
  * return pipeline data when doing oauth association #610
  * Reverse with trailing slash in django urls is broken since 0.2.4
    to 0.2.7 #609
  * Resubmitting pull request to add Azure Active Directory support
    [#632] (vinhub)
  * Fixes missing packages.urllib3.poolmanager (fixes #617) #626
    (marekjalovec)
  * fix Fitbit OAuth 1 authorization URL #625 (blurrcat)
  * add weixin backends #621 (duoduo369)
  * Add a DigitalOcean backend. #619 (andrewsomething)
- changes from version 0.2.9:
  * Can't get a Google OAuth2 refresh_token #607
  * Get the current logged user in the template #605
  * Two diferent user profiles #604
  * Login with Amazon TLS requests #603
  * Release apps.py for apps #601
  * migrations #600
  * Authentication failed: Can't connect to HTTPS URL because the SSL
    module is not available. #598
  * ConnectionError at /complete/steam You have not defined a default
    connection #597
  * uncompleted extra_data for access_token, code, and expires in
    Google+ #596
  * Token error: Missing unauthorized token #589
  * Email validation needs an email parameter (docs) #577
  * Login pipeline trying to create new user when user exists #562
  * Just add Moves App to the list of providers on README #606
    (avibrazil)
  * ChangeTip Backend #599 (gorillamania)
* Wed Jan 13 2016 jgleissner@suse.com
- Disabled tests (some are broken and they do unwanted network
  connections)
* Mon Oct 19 2015 bear454@opensuse.org
- Port to python3
* Mon Apr 27 2015 mcihar@suse.cz
- Add LICENSE to %%doc
* Thu Apr 23 2015 mcihar@suse.cz
- Update to 0.2.7:
  * Don't send redirect_state to slack backend
  * Fix clean username regex. Fixes #594
  * PEP8 and switch check order
  * Take into account that sometimes API v2.3 returns the old querystring
    format. Fixes #592
  * Move OAuth1 method out from the base class
  * Fix the final_username may be empty and will skip the loop.
  * Alter email max length for Django app
  * Remove single-use var
  * Clean any pipeline remanents when starting the process. Refs #325
  * Flag dev version
  * Swtich Twitter API to POST (as it's documented)
  * Append trailing slash in Django
* Mon Apr 20 2015 mcihar@suse.cz
- Add ca-certificates to build-deps for testsuite
* Fri Apr 17 2015 mcihar@suse.cz
- Update to 0.2.6:
  * too many changes to list
* Thu Nov  6 2014 mcihar@suse.cz
- update to 0.2.1:
  * too many changes to list
  * parts of API has been changed
* Wed Jul 23 2014 mcihar@suse.cz
- upgrade to 0.1.26:
    too many changes to list
* Tue May  6 2014 mcihar@suse.cz
- upgrate do 0.1.23:
    too many changes to list
* Tue Nov 19 2013 mcihar@suse.cz
- rename to python-python-social-auth to be compliant with policy
* Tue Nov 19 2013 mcihar@suse.cz
- update to 0.1.17:
    too many changes to list
* Tue Nov 19 2013 mcihar@suse.cz
- SPDX compliant license name
* Thu Nov  7 2013 mcihar@suse.cz
- initial packaging
